<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li class="current"><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>pack()
: <a class="el" href="classTIGLApiMessage.html#a1f179078ae75d7fc8523a99584c960ab">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
, <a class="el" href="classTIGLCommunicationSysMessage.html#a69dfcfadc0fb670b3a4cd165cc5a6e75">TIGLCommunicationSysMessage</a>
, <a class="el" href="classTIGLMutationMessage.html#a1d1bbd783f0209096d743278a88555cf">TIGLMutationMessage</a>
</li>
<li>PageRankVertex()
: <a class="el" href="classPageRankVertex.html#a59ab2141bb344a06dfed89ce5e4f9d1d">PageRankVertex&lt; DataType &gt;</a>
</li>
<li>prepareAddEdgeMessage()
: <a class="el" href="classTIGLMutationMessage.html#a7a78a4b0b8bf099b5a38afe2f5886746">TIGLMutationMessage</a>
</li>
<li>prepareAddVertexMessage()
: <a class="el" href="classTIGLMutationMessage.html#ae9189e2cb953e7028b7523db1be12335">TIGLMutationMessage</a>
</li>
<li>prepareAggregateSysMessage()
: <a class="el" href="classTIGLContainersAggregate.html#a3ee8a15559012f6b8bb3df99887f4594">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>prepareEmptyVertexMessage()
: <a class="el" href="classTIGLMutationMessage.html#ac3e3ba4f54b0d67c6e5bc7a979c2e329">TIGLMutationMessage</a>
</li>
<li>prepareRemoveEdgeMessage()
: <a class="el" href="classTIGLMutationMessage.html#aa9d443dae0e56c7f05a1932937aa0295">TIGLMutationMessage</a>
</li>
<li>printIdleTime()
: <a class="el" href="classTIGLCommunicationManager.html#a27c5bb4a30d4d070e6c1d3882ee52857">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>processAllMutationMessages()
: <a class="el" href="classTIGLMutationManager.html#ac7ec277f489a4961de1bba26ae72679a">TIGLMutationManager&lt; SUBGRAPH_CLASS &gt;</a>
</li>
<li>processMutationMessages()
: <a class="el" href="classTIGLMutationManager.html#a06acf82a5e7b4c8d1277bd2b140a1298">TIGLMutationManager&lt; SUBGRAPH_CLASS &gt;</a>
</li>
<li>processOneMessage()
: <a class="el" href="classTIGLCommunicationManager.html#a5276cfab81cf55da2d35c8af582e03ac">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>processSystemMessages()
: <a class="el" href="classTIGLComputationManager.html#a63e04e8ed34a164d431bff438f0820d9">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>pushDataMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#a91bea8071a219690b36e1416814d2ab1">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>pushExternalDataMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#a839c4c2b1006c1e6e6a84ed11d497a25">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>pushExternalMutationMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#ada1d5c4b16e7e35abf33fde376d73be9">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>pushHaltMessage()
: <a class="el" href="classTIGLComputationManager.html#aee548a331e88ce34fca4ca44b6542a7d">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>pushLocalMutationMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#aaf1d8d7d5b747266b969389048e5a27f">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>pushSysMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#aae512a2914109dd38dbdab33f1136742">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
